Subject: RE: TSA Response serialNumber Field

From: "Manger, James H" <[email-masked]>
Date: Mon, 29 May 2000 18:18:47 +1000

> You'd have to go into lengths explaining how
> the precision value should be applied.

Why.  The accuracy (I assume this is what you mean by "precision value")
simply conveys the uncertainty of the genTime value with
respect to UTC.

> base time ="20000529053138.345Z", and the precision of 1 second?

The TSA's best estimate for UTC when this timestamp was issued was
29 May 2000 at 5:31 AM and 38.345 seconds.  The TSA's uncertainty
(1 standard deviation) in this estimate is +/- 1 second.  So UTC
may actually have been 37.8 seconds or 39 seconds or 
38.11123 for instance.

> trim the base value to make the precision meaningful

No.  Why would you?
Quoting many more digits than the accuracy warrants does not make
it wrong.  In some situations (e.g. a physics article) it might be
considered bad form because the extra digits are worthless (but
still harmless), but in our situation they do have a use - to order
timestamps.

> consistency in style with 2459

A certificate and timestamp are very different beasts.  The former
is useful independently of any particular message, the latter is
only relevant to one message.  [A more useful consistency would
have been to use a SIGNED { tbsTimestamp } ASN.1 construct,
instead of CMS]

> - e.g. having a unique reference to the token

I am not even sure that a standardised unique reference to a
timestamp is useful at all, let alone necessary in the base
standard.

---

From: Ed Gerck <[email-masked]>
Date: Mon, 29 May 2000 10:45:05 -0700

"Manger, James H" wrote:

>  The accuracy (I assume this is what you mean by "precision value")
> ...

We need to introduce the concept of "threshhold level" as well
as to use "accuracy" in standard engineering form, together with
"reliability." This will, I believe, clarify the discussion.

Before I present some ASCII graphs that will illustrate my points,
let me cut to some of the conclusions to be gained from those graphs:

1. Accuracy is not the uncertainty of a value -- which would be
reliability and depends on *many* events on average. Accuracy is the
spread of *one* event.  The accuracy and reliability of a  measurement
depend *also* on the threshhold level of measurement.

2. In the case where the measurement is the uniqueness (or, ordering) of
an *issued* timestamp, we can consider the following correspondence for
a series of timestamps issued by a TSA:

 accuracy = formal precision value of timestamp (set by the TSA for each
            event, independently of its actual time precision)

 reliability = uncertainty of timestamp in the series (on average, for
               that TSA and based on the timestamp value)

 threshhold level = the TSA's actual time precision.

We can easily see that as a function of these three values, a timestamp
may be accurate but unreliable, accurate and reliable, etc. -- generating
four cases (depicted below). The method that Manger mentions is correct
to provide uniqueness for the issued timestamps, because it garantees
reliability of 100% for a r-p to detect ordered timestamps -- by dynamically
changing the accuracy so that no value is repeated within that accuracy.
This should NOT be confused however with reliability of 100% to detect
different time events as measured *by* the TSA, NOR confused with a
reliability of 100% for the TSA to order different time events -- because
in this case we are not talking about measurement of what is issued by a
TSA (the cert) but measurement by the TSA itself. The treshhold level
affecting the TSA may produce aliasing and re-ordering that is
undistiguishable (ie, unmeasurable) by the TSA -- and thus, wrongly
reflected in the othwerwise correct but formally ordered certs. So,
there is a finite probability that a TSA may issue two or more ordered
timestamps that can be 100% reliably ordered by a r-p, but which actually
correspond to reverse or shuffled events in time.

IN OTHER WORDS: Do not try to extract from the data more than what the
data has -- and that is why in a physics essay it IS considered bad form
to imply more accuracy than one has.  It is OK however to format the
data so as to reflect the accuracy of what you can express (here, for the
usual purpose of ordering the data issued).  In physics papers this is
also useful (e.g. to reflect the instrument's precision) and is handled
by using the form (1.000456 +- 0.3), as an example.

RECOMMENDATION: besides the above, include a declaration of the TSA's
*overall* certified error for timestamping -- which defines its treshhold
level AND its actual event ordering reliability but does NOT influence its
ordering reliability per cert (which can be 100%, as above).

Now, the technical background from detection theory.

"Accuracy" and "reliability" are standard terminology in many engineering
disciplines and can be better understood by an example in terms of a
signal that varies in time and is detected when it crosses a given
threshhold level Eo, in four cases, for each of the logical possibilities
of combination:

1. high accuracy and high reliability:

signal

^
|
|     __
|     ||
|     ||
|Eo----------------------------
|     ||
|     ||
|     ||
|     ||  __
|     ||  ||
|     ||  ||
|     ||  ||
|-----  --  ----
-------------------------> time

2. high accuracy and low reliability

signal

^
|
|     __
|     ||  __
|     ||  ||
|Eo----------------------------
|     ||  ||
|     ||  ||
|     ||  ||
|     ||  ||
|     ||  ||
|     ||  ||
|     ||  ||
|-----  --  ----
-------------------------> time

3. low accuracy and high reliability:

signal

^
|
|     _____
|     |   |
|     |   |
|Eo----------------------------
|     |   |
|     |   |
|     |   |
|     |   |  _____
|     |   |  |   |
|     |   |  |   |
|     |   |  |   |
|-----     --     ----
-------------------------> time

4. low accuracy and low reliability

signal

^
|
|     _____
|     |   |  _____
|     |   |  |   |
|Eo----------------------------
|     |   |  |   |
|     |   |  |   |
|     |   |  |   |
|     |   |  |   |
|     |   |  |   |
|     |   |  |   |
|     |   |  |   |
|-----     --     ----
-------------------------> time

Cheers,

Ed Gerck